<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <div id="Header">
        <h2>HTML Entities</h2>
        <p>
            <em>
                Reserved Characters in HTML (e.g. &lt;or &lt; that can mix up with HTML code.)
            </em>

        </p>
    </div>

    <div id="main">
        <!-- This will create a table. -->
        <table border="1">
            <!-- Use to groups the table header contents. -->
            <thead>
                <!-- Defines the table row -->
                <tr>
                    <th colspan="2">Entity</th>
                    <th>Description</th>
                </tr>
            </thead>

            <!-- Use to group the table body contents. -->
            <tbody>
                <!-- Row 1 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&lt;</td>
                    <td>lt</td>
                    <td>Less than</td>
                </tr>

                <!-- Row 2 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>Greater than</td>
                </tr>


                <!-- Row 3 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&#8369;</td>
                    <td>#8369</td>
                    <td>Peso Sign</td>
                </tr>

                <!-- Row 4 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>Ampersand</td>
                </tr>
                

                <!-- Row 5 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>Double Quotation Sign</td>
                </tr>

                <!-- Row 6 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>Single Quoutation</td>
                </tr>

                <!-- Row 7 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&tilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr>


                <!-- Row 8 -->
                <tr>
                    <!-- Defines the table data -->
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Bigger Tilde</td>
                </tr>
            </tbody>

            <!-- Used to group table foot contents -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML Entities</th>
                </tr>
            </tfoot>
        </table>
    </div>

    <br>
    <hr>
    <!-- HTML Forms -->
    <div id="Section">
        <h2>HTML Forms</h2>
        <p><em>Input elemetns that make up a form.</em></p>

        <!-- Creates an HTML form to capture user input. -->
        <form action="https://www.google.com" target="_blank">
            <!-- Creates a label and allows for input field section when clicked. -->
            <label for="fullname">Full name:</label> <br>
            <input type="text" name="fullname" id="fullname"  required> <br>

            <!-- Birthday -->
            <label for="birthdate">Birthday:</label> <br>
            <input type="date" name="birthdate" id="birthdate" required> <br>

            <!-- Age -->
            <label for="age">Age:</label>
            <input type="number" name="age" id="age" required> <br>

            <!-- Gender -->
            <label for="gender">Gender:</label>
            <!-- Create a dropdown list -->
            <select name="gender" id="gender" required>
                <!-- Creates an option list for dropdown -->
                <option value="Male">Male</option>
                <option value="Female">Female</option>
                <option value="Others">Secret</option>
            </select> <br>

            <label for="user">New User:</label><br>
            <!-- Creates a radio button - relational button -->
            <input type="radio" name="userType" id="newUser" value="yes"> <label for="userType">Yes</label> <br>
            <input type="radio" name="userType" id="oldUser" value="yes"> <label for="userType">No</label> <br>

            <!-- Textarea -->
            <label for="message">Message</label><br>
            <textarea name="message" id="message" cols="50" rows="10" placeholder="Write a message"></textarea><br>



            <!-- Checkbox -->
            <label for="role">Role:</label> <br>
            <input type="checkbox" name="role1" id="role1" value="developer"><label for="role1">Developer</label><br>
            <input type="checkbox" name="role2" id="role2" value="student"><label for="role2">Student</label> <br>
            <input type="checkbox" name="role2" id="role2" value="manager"><label for="role3">Manager</label> <br>

            <!-- Button -->
           <br> <button type="submit">Submit</button>
           <button type="reset">Reset</button>
        </form>
    </div>

</body>
</html>